-- en.lua
-- Written by Habna


_G.L = {};
L["HBLang"] = "HugeBag: English language loaded!";
L["HBLoad"] = "HugeBag " .. Version .. " by Habna loaded!";

--Main form (Widget)
L["HugeBag"] = "HugeBag";
L["HugeBag--"] = "HugeBag -- ";
L["Free"] = "Free: ";
L["Max"] = "  Max: ";
L["Used"] = "  Used: ";
L["Sort"] = "Sort";
L["Merge"] = "Merge";
L["Search"] = "Search";
L["FF"] = "F";
L["UU"] = "U";
L["MM"] = "M";

--Main form (Window)
L["HB--"] = "HB -- ";
L["F"] = "F: ";
L["U"] = "  U: ";
L["M"] = "  M: ";

-- Background window
L["BWTitle"] = "Set back color";
L["BWAlpha"] = "Alpha";
L["BWCurSetColor"] = "Currently set color";
L["BWSave"] = "Save color";
L["BWDef"] = "Default";
L["BWBlack"] = "Black";

--Functions output text
L["FEscH"] = "HugeBag: I will hide when 'esc' key is pressed";
L["FEscS"] = "HugeBag: I will stay visible when 'esc' key is pressed";
L["FLoadS"] = "HugeBag: I will load visibile next time";
L["FLoadH"] = "HugeBag: I will load hidden next time";
L["FWidget"] = "HugeBag: Will load in widget mode next time";
L["FWin"] = "HugeBag: Will load in window mode next time";
L["FAOTS"] = "HugeBag: Will be always on top next time";
L["FAOTH"] = "HugeBag: Will not be always on top next time";
L["FMergeD"] = "HugeBag: Will merge items from slot ";
L["FMerge1"] = " to 1";
L["FMergeU"] = "HugeBag: Will merge items from slot 1 to ";

--Functions window output text
L["FSlotsS"] = "HugeBag: Now showing slots informations in the title";
L["FSlotsH"] = "HugeBag: Not showing slots informations in the title";
L["FSkinS"] = "HugeBag: Now showing skin & title";
L["FSkinH"] = "HugeBag: Not showing skin & title";
L["FIH"] = "HugeBag: Items are now horizontal";
L["FIV"] = "HugeBag: Items are now vertical";
L["FSL"] = "HugeBag: Window is not resizable";
L["FSNL"] = "HugeBag: Window is now reziable";
L["FPL"] = "HugeBag: Window position is now lock";
L["FPNL"] = "HugeBag: Window position is unlock";

--Functions widget output text
L["FWidShow"] = "HugeBag: Impossible, I'm already visible";
L["FWidTBTitle"] = "HugeBag: Showing image in top section";
L["FWidTBInfo"] = "HugeBag: Showing info in top section";
L["FWidTBNot"] = "HugeBag: Showing nothing in top section";
L["FWidSBImg"] = "HugeBag: Showing image in side section";
L["FWidSBInfo"] = "HugeBag: Showing info in side section";
L["FWidSBNot"] = "HugeBag: Showing nothing in side section";
L["FWidActive"] = "Can't show/hide buttons when sort, merge or search function are active!";
L["FWidButVis"] = "HugeBag: Buttons are now visible";
L["FWidButNVis"] = "HugeBag: Buttons are now invisible"
L["FWidHide"] = "HugeBag: Impossible, I'm already hidden";

--Settings widget output text
L["SWidRA"] = "HugeBag: All my settings was set back to default";

--Settings window output text
L["SWinRLS"] = "HugeBag: My location and size was set back to default";

--shell commands
L["SCWTitle"] = "HugeBag Shell Commands";
L["SCWC1"] = "Show HugeBag";
L["SCWC2"] = "Hide HugeBag";
L["SCWC3"] = "Unload HugeBag";
L["SCWC4"] = "Reload HugeBag";
L["SCWC5"] = "Reset all settings to default";
L["SCWC6"] = "Show/hide HugeBag when the 'esc' key is press";
L["SCWC7"] = "Show/hide HugeBag at startup";
L["SCWC8"] = "Change between widget and window mode";
L["SCWC9"] = "Ability to be always on top are not";
L["SCWC10"] = "Show/hide buttons";
L["SCWC11"] = "Sort HugeBag items (Courtesy of MrJackdaw)";
L["SCWC12"] = "Merge stackable item into one stack";
L["SCWC13"] = "Default merge function: slot 1 to 75";
L["SCWC14"] = "Show HugeBag shell commands";
L["SCWC15"] = "Show HugeBag Options";
L["SCWC16"] = "Reset location and size settings to default";
L["SCWC17"] = "Show/hide HugeBag skin & title";
L["SCWC18"] = "Change items oriention";
L["SCWC19"] = "Lock/unlock HugeBag size";
L["SCWC20"] = "Lock/unlock HugeBag position";

--Widget shell commands
L["SC0"] = "Command not supported";
L["SCa1"] = "show";
L["SCb1"] = "shb / ";
L["SCa2"] = "hide";
L["SCb2"] = "hhb / ";
L["SCa3"] = "unload";
L["SCb3"] = "  u / ";
L["SCa4"] = "reload";
L["SCb4"] = "  r / ";
L["SCa5"] = "resetall";
L["SCb5"] = " ra / ";
L["SCa6"] = "wesc";
L["SCb6"] = "  w / ";
L["SCa7"] = "visible";
L["SCb7"] = "  v / ";
L["SCa8"] = "mode";
L["SCb8"] = "hbm / ";
L["SCa9"] = "top";
L["SCb9"] = "aot / ";
L["SCa10"] = "buttons";
L["SCb10"] = " bv / ";
L["SCa11"] = "sort";
L["SCb11"] = " si / ";
L["SCa12"] = "merge";
L["SCb12"] = " mi / ";
L["SCa13"] = "inversemerge";
L["SCb13"] = " im / ";
L["SCa14"] = "help";
L["SCb14"] = " sc / ";
L["SCa15"] = "options";
L["SCb15"] = "opt / ";

--Window shell commands
L["SCa16"] = "resetls";
L["SCb16"] = "rls / ";
L["SCa17"] = "skin";
L["SCb17"] = " sk / ";
L["SCa18"] = "orientation";
L["SCb18"] = " io / ";
L["SCa19"] = "locksize";
L["SCb19"] = " ls / ";
L["SCa20"] = "lockpos";
L["SCb20"] = " lp / ";

--Options widget
L["OWidLoc"] = "Set HugeBag widget location to ...";
L["OWidLocL"] = "left";
L["OWidLocR"] = "right";
L["OWidTop"] = "Top section options ...";
L["OWidTopT"] = "Show HugeBag image";
L["OWidTopI"] = "Show slots informations";
L["OWidTopN"] = "Show nothing";
L["OWidSide"] = "Side section options ...";
L["OWidBot"] = "Bottom section options ...";
L["OWidAOT"] = "Change HugeBag 'Always On Top' ability";
L["OWidIM"] = "Inverse merge function";
L["OWidBC"] = "Set HugeBag back color";
L["OWidL"] = "Change language to ...";
L["OWidLen"] = "English";
L["OWidLfr"] = "French";
L["OWidLde"] = "Deutsch";
L["OWidView"] = "View your ";
L["OWidVault"] = "vault";
L["OWidStorage"] = "shared storage";
L["OWidNeed"] = "Need to open a valid ";
L["OWidOnce"] = " at least once";

--Merge
L["FAMergeS"] = "HugeBag: Merging started";
L["FAMergeF"] = "HugeBag: Merging finished";
L["FAMergeE"] = "Can't merge when sort, mix, merge or search function are active!";
L["FAMergeFA"] = " finished after ";
L["FAMergeSec"] = " seconds";

--Sort
L["FSSortS"] = "HugeBag: Sorting started";
L["FSSortF"] = "HugeBag: Sorting finished";
L["FSSortE"] = "Can't sort when sort, mix, merge or search function are active!";
L["FSSortFS"] = "HugeBag: This fail safe aborted the sorting because the sorting fail to finish within ";

--Items menu
L["All"] = "All";
L["ShowAll"] = "Show all items";
L["Show"] = "Show ...";
L["Potions"] = "Potions";
L["Healing"] = "Healing";
L["Tools"] = "Tools";
L["Devices"] = "Devices";
L["Jewelry"] = "Jewelry";
L["Components"] = "Components";
L["BR"] = "Barter & Reputation";
L["QI"] = "Quest items";
L["Resources"] = "Resources";
L["Perks"] = "Perks";
L["Misc"] = "Misc";
L["Misc2"] = "Misc 2";
L["Mounts"] = "Mounts";
L["Special"] = "Special";
L["Dye"] = "Dye";
L["Relic"] = "Relic";
L["Festival"] = "Festival";
L["Book"] = "Minstrel Book";
L["Tome"] = "Tome";
L["ShowBuff"] = "Show buff ...";
L["Scroll"] = "Scroll";
L["Trap"] = "Trap";
L["SP"] = "Shield Spikes";
L["Oil"] = "Oil";
L["ShowLegendary"] = "Show legendary ...";
L["WE"] = "Weapon Experience";
L["WIML"] = "Weapon Increase MaxLevel";
L["WRL"] = "Weapon Replace Legacy";
L["WR"] = "Weapon Reset";
L["WUL"] = "Weapon Upgrade Legacy";
L["ShowFishing"] = "Show fishing ...";
L["Fish"] = "Fish";
L["Bait"] = "Bait";
L["Pole"] = "Pole";
L["Other"] = "Other";
L["ShowFoods"] = "Show foods ...";
L["Food"] = "Food";
L["ShowIngredient"] = "Show ingredient ...";
L["Ingredient"] = "Ingredient";
L["OI"] = "Optional Ingredient";
L["ShowTrophys"] = "Show trophys ...";
L["Trophy"] = "Trophy";
L["ST"] = "Special Trophy";
L["ShowRecipes"] = "Show recipes ...";
L["MS"] = "Metalsmith";
L["WS"] = "Weaponsmith";
L["Tailor"] = "Tailor";
L["Jeweller"] = "Jeweller";
L["Cook"] = "Cook";
L["Scholar"] = "Scholar";
L["WW"] = "Wood worker";
L["Farmer"] = "Farmer";
L["Prospecter"] = "Prospecter";
L["Forester"] = "Forester";
L["Apprentice"] = "Apprentice";
L["Journeyman"] = "Journeyman";
L["Expert"] = "Expert";
L["Artisan"] = "Artisan";
L["Master"] = "Master";
L["Supreme"] = "Supreme";
L["Westfold"] = "Westfold";
L["ShowWeapon"] = "Show weapon ...";
L["Axe"] = "Axe";
L["Club"] = "Club";
L["Crossbow"] = "Crossbow";
L["Bow"] = "Bow";
L["Dagger"] = "Dagger";
L["Halberd"] = "Halberd";
L["Mace"] = "Mace";
L["Staff"] = "Staff";
L["Sword"] = "Sword";
L["Hammer"] = "Hammer";
L["Orb"] = "Orb";
L["Javelin"] = "Javelin";
L["Spear"] = "Spear";
L["ShowArmor"] = "Show armor ...";
L["Shoes"] = "Shoes";
L["Leggings"] = "Leggings";
L["Gloves"] = "Gloves";
L["Chest"] = "Chest";
L["Cloak"] = "Cloak";
L["Hat"] = "Hat";
L["Shield"] = "Shield";
L["GuardianBelt"] = "Guardian Belt";
L["ShowClass"] = "Show class items ...";
L["ShowCosmetic"] = "Show cosmetic items ...";
L["Back"] = "Back";
L["Head"] = "Head";
L["UB"] = "Upper Body";
L["Feet"] = "Feet";
L["Shoulder"] = "Shoulder";
L["ShowDecoration"] = "Show decoration ...";
L["Ceiling"] = "Ceiling";
L["Floor"] = "Floor";
L["Furniture"] = "Furniture";
L["Music"] = "Music";
L["Yard"] = "Yard";
L["Wall"] = "Wall";
L["SurfacePaint"] = "Surface Paint";

-- Free People Class
L["Guardian"] = "Guardian";
L["Captain"] = "Captain";
L["Minstrel"] = "Minstrel";
L["Burglar"] = "Burglar";
L["Hunter"] = "Hunter";
L["Champion"] = "Champion";
L["Lore-Master"] = "Lore-Master";
L["Rune-Keeper"] = "Rune-Keeper";
L["Warden"] = "Warden";

-- Text
--L[""] = "";