-- functions.lua
-- Written By Habna


-- **v Hide HugeBag v**
function ShowHugeBag()
	if ( frmMain:IsVisible() ) then
		write( L["FWidShow"] );
	else
		frmMain:SetVisible( true );
	end
end
-- **^
-- **v Hide HugeBag v**
function HideHugeBag()
	if ( not frmMain:IsVisible() ) then
		write( L["FWidHide"] );
	else
		frmMain:SetVisible( false );
	end
end
-- **^
-- **v Toggle Items Orientation v**
function ToggleItemsOrientation()
	HorizontalOrientation = not HorizontalOrientation;
	PerformLayout();
	SaveSettings();
	if HorizontalOrientation then
		write( L["FIH"] );
	else
		write( L["FIV"] );
	end
end
-- **^
--[[ Disabled until i found a way to reverse the scrollbar in the same orientation (Top goes to bottom, bottom goes to top)
-- **v Toggle Items ReverseFill v**
function ToggleItemsReverseFill()
	ReverseFill = ( not ReverseFill );
	frmMain.itemListBox:SetReverseFill( ReverseFill );
	frmMain:PerformLayout();
	SaveSettings();
end
-- **^
]]
-- **v Lock HugeBag Position v**
function LockHugeBagSize()
	LockSize = not LockSize;
	SaveSettings();
	if LockSize then
		write( L["FSL"] );
	else
		write( L["FSNL"] );
	end
end
-- **^
-- **v Lock HugeBag Position v**
function LockHugeBagPosition()
	LockPosition = not LockPosition;
	LockLabel.Enable = not LockPosition;
	SaveSettings();
	if LockPosition then
		write( L["FPL"] );
	else
		write( L["FPNL"] );
	end
end
-- **^

function ToggleSkin()
	ShowSkin = not ShowSkin;

	HBSkin:SetVisible( not ShowSkin );

	if ShowSkin then
		ButtonsCtr:SetPosition( 35, WinHeight - 20 );
		SearchInput:SetPosition( 35,  WinHeight - 23 );
		write( L["FSkinS"] );
	else
		ButtonsCtr:SetPosition( 35, 19 );
		SearchInput:SetPosition( 35,  16 );
		write( L["FSkinH"] );
	end
	
	ButtonAtTop = not ShowSkin;
	SaveSettings();
end