-- mix.lua --Debug purpose
-- Written By Habna


function Mix()
	if IsSorting or IsMixing or IsMerging or IsSearching then
		write("Can't mix when sort, mix, merge or search function are active!");
		return
	end
	
	IsMixing = true;
	ButtonsCtr:SetVisible( false );
	write( "HugeBag: mixing items started" );

	Start = Turbine.Engine.GetGameTime();
	MixTimer = Turbine.UI.Control();

	MixTimer.Update = function( sender, args )
		local Time = Turbine.Engine.GetGameTime();
		local elapsed = Time - Start;

		if elapsed < 4 then
			i = math.random(1, backpackSize);
			j = math.random(1, backpackSize);
			while j == i do
				j = math.random(1, backpackSize);
			end

			item = Backpack:GetItem(j);
			if item ~= nil then Backpack:PerformItemDrop( item, i, false ); end
		else
			MixTimer:SetWantsUpdates(false);

			if ShowButton then ButtonsCtr:SetVisible( true ); end
			
			IsMixing = false;
			write( "HugeBag: mixing items finished" );
			write("<rgb=#888888>Mixing finished after ".. string.format( "%.2f", elapsed ) .." seconds.")
			Turbine.PluginManager.LoadPlugin( 'HugeBag Reloader' );
		end
	end

	MixTimer:SetWantsUpdates(true);
end