-- shellcmd.lua
-- written by Habna


local ShellCommandName = {};
local ShellCommandDes = {};

if Widget then max = 15; --Number of shell command in widget mode
else max = 20; end --Number of shell command in window mode

for i = 1, max do ShellCommandName[i]= ( L["SCb" .. i] .. L["SCa" .. i] ); ShellCommandDes[i]= ( L["SCWC" .. i] ); end

function frmShellCmd()
	frmSC = true;
	wShellCmd = Turbine.UI.Lotro.Window()
	--wShellCmd = Turbine.UI.Lotro.GoldWindow()
	
	if HBLocale == "en" then wShellCmd:SetSize( 460, 50 ); end
	if HBLocale == "fr" then wShellCmd:SetSize( 585, 50 ); end
	if HBLocale == "de" then wShellCmd:SetSize( 610, 50 ); end

	-- **v Set backcolor, position, size and text of the window v**
	--wShellCmd:SetSize( 525, 50 );
	wShellCmd:SetText( L["SCWTitle"] );
	wShellCmd:SetVisible( true );
	wShellCmd:SetWantsKeyEvents( true );
	--wShellCmd:SetZOrder( 2 );
	wShellCmd:Activate();
	-- **^

	wShellCmd.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			wShellCmd:Close();
		elseif ( args.Action == 268435635 ) or ( args.Action == 268435579 ) then  -- **v Hide if F12 key is press or reposition UI v**
			wShellCmd:SetVisible( not wShellCmd:IsVisible() );
		end
	end

	wShellCmd.Closing = function( sender, args )
		frmSC = nil;
		wShellCmd = nil;
		option_help:SetEnabled( true );
	end

	--**v Shell command v**
	local PosY = 40;

	for i = 1, max do
		local lblShell = Turbine.UI.Label();
		lblShell:SetParent( wShellCmd );
		--lblShell:SetFont ( 12 );
		lblShell:SetText( ShellCommandName[i] );
		lblShell:SetPosition( 25, PosY );
		lblShell:SetSize( string.len(lblShell:GetText()) * 7.5, 18 );
		lblShell:SetForeColor( green );
		lblShell:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );

		local lblShellDes = Turbine.UI.Label();
		lblShellDes:SetParent( wShellCmd );
		--lblShellDes:SetFont ( 12 );
		lblShellDes:SetText( ShellCommandDes[i] );
		lblShellDes:SetPosition( lblShell:GetLeft() + lblShell:GetWidth() + 5, PosY );
		lblShellDes:SetSize( string.len(lblShellDes:GetText()) * 7.5, 18 );
		lblShellDes:SetForeColor( white );
		lblShellDes:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );

		PosY = PosY + 15;
		wShellCmd:SetHeight( PosY );
	end
	wShellCmd:SetHeight( PosY + 20 );

	local winWidth, winHeight = wShellCmd:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    wShellCmd:SetPosition( left, top );
	--**^
end